
Foreman - Feature #2888

Authenticate to VMWare using credentials of user logged in to foreman

08/07/2013 03:46 AM - David Juran

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Today, all access from foreman to VMWare is done using a central account. It would be good if VMWare would be accessed using

the credentials of the user logged in to foreman instead. This would allow e.g. quotas and restrictions on the VMWare side to be

applied to the individual users instead of limiting the one central foreman user which affect the entire foreman instance.

History

#1 - 08/07/2013 03:47 AM - Dominic Cleal

- Category set to Compute resources

#2 - 08/07/2013 04:06 AM - Ohad Levy

You are not forced to use one Compute Resource per foreman instance, you could configure multiple instances, each one with a different quota?

#3 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware
